## galapi
Class Document

    java.lang.Object
      galapi.Item
          galapi.Node
              galapi.Document

public class Document
extends Node

A document element in the XQeury data model.

See Also:
  `Item`, `Node`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`protected` `Document(int native_item)`
`` `Document(java.lang.String uri, ItemList nds)`

Method Summary
`protected static int` `documentToItem(java.lang.String uri, int nodes)`
`void` `finalize()` Releases all resources used by this document.

Methods inherited from class galapi.Node
`attributes, baseURI, children, nativeAttributes, nativeBaseURI, nativeChildren, nativeNodeKind, nativeNodeName, nativeParent, nativeTypedValue, nodeKind, nodeName, parent, typedValue`

Methods inherited from class galapi.Item
`getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Document

    protected Document(int native_item)

### Document

    public Document(java.lang.String uri,
                    ItemList nds)
             throws GalapiException

Parameters:
  `nds` - the descendant nodes of the document

Method Detail

### documentToItem

    protected static int documentToItem(java.lang.String uri,
                                        int nodes)

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Releases all resources used by this document. Caution: If the document was constructed using variables as arguments, these variables are deallocated after calling this method

  Overrides:
    `finalize` in class `Item`
  Throws:
    `java.lang.Throwable`